#!/usr/bin/env python
# -*- coding: utf-8 -*-


from enum import Enum


class ServiceResultEnum(Enum):
    """
    ServiceResult类的的枚举类型
    """

    # 成功
    SUCCESS = 200
    SUCCESS_DESCRIPTION = '成功'

    # 失败
    FAIL = 3000
    FAIL_DESCRIPTION = '失败'

    # 添加成功
    SAVE_SUCCESS = 3001
    SAVE_SUCCESS_DESCRIPTION = '添加成功'

    # 删除成功
    DELETE_SUCCESS = 3002
    DELETE_SUCCESS_DESCRIPTION = '删除成功'

    # 修改成功
    UPDATE_SUCCESS = 3003
    UPDATE_SUCCESS_DESCRIPTION = '修改成功'

    # 查询成功
    SELECT_SUCCESS = 3004
    SELECT_SUCCESS_DESCRIPTION = '查询成功'

    # 不存在敏感词
    NOT_EXIST_SENSITIVE_WORD = 3005
    NOT_EXIST_SENSITIVE_WORD_DESCRIPTION = '不存在敏感词'

    # 存在敏感词
    EXIST_SENSITIVE_WORD = 3006
    EXIST_SENSITIVE_WORD_DESCRIPTION = '存在敏感词'
