#!/usr/bin/env python
# -*- coding: utf-8 -*-

from django.core.validators import MaxValueValidator
from django.db import models


class PublicSentimentComment(models.Model):
    """
    评论表
    """

    # 主键
    id = models.AutoField(primary_key=True)

    # 内容
    content = models.CharField(max_length=2550, null=True, blank=True)

    # 来源id
    source_id = models.BigIntegerField(validators=[MaxValueValidator(9223372036854775807)], db_index=True, null=False,
                                       blank=False)

    # 创建时间
    create_time = models.DateTimeField(null=False, blank=False)

    class Meta:
        managed = True
        db_table = 'ps_comment'
        verbose_name = '评论表'
        verbose_name_plural = verbose_name