#!/usr/bin/env python
# -*- coding: utf-8 -*-

from web.manager.log_manager import LogManager
from web.service.base_service import BaseService

Logger = LogManager.get_logger(__name__)


class PublicSentimentCommentService(BaseService):
    """
    PublicSentimentComment的service类
    """

    def save(self, public_sentiment_comment):
        """
        保存
        """

        Logger.info('保存PublicSentimentComment对象')

        self.public_sentiment_comment_dao.save(public_sentiment_comment)

    def find_all(self):
        """
        查询所有记录
        """

        Logger.info('查询所有记录')

        return self.public_sentiment_comment_dao.find_list(dict(), dict(), list())
